- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Slots | Signals | Public Member Functions | Properties | Friends

# AudioOutput Class Reference

Search for all occurrences

## Detailed Description

Class for audio output to the soundcard.

Use this class to define the audio output.

Author:
  Matthias Kretz <kretz@kde.org>

See also:
  Phonon::Ui::VolumeSlider

Definition at line 50 of file audiooutput.h.

`#include <Phonon/AudioOutput>`

Inheritance diagram for AudioOutput:
[legend]

List of all members.

## Public Slots
void | setName (const QString &newName)
void | setVolume (qreal newVolume)
void | setVolumeDecibel (qreal newVolumeDecibel)
bool | setOutputDevice (const Phonon::AudioOutputDevice &newAudioOutputDevice)
void | setMuted (bool mute)
## Signals
void | volumeChanged (qreal newVolume)
| This signal is emitted whenever the volume has changed.
void | mutedChanged (bool)
| This signal is emitted when the muted property has changed.
void | outputDeviceChanged (const Phonon::AudioOutputDevice &newAudioOutputDevice)
| This signal is emitted when the (hardware) device for the output has changed.
## Public Member Functions
| AudioOutput (Phonon::Category category, QObject *parent=0)
| Creates a new AudioOutput that defines output to a physical device.
| AudioOutput (QObject *parent=0)
QString | name () const
qreal | volume () const
qreal | volumeDecibel () const
Phonon::Category | category () const
| Returns the category of this output.
AudioOutputDevice | outputDevice () const
bool | isMuted () const
## Properties
QString | name
| This is the name that appears in Mixer applications that control the volume of this output.
qreal | volume
| This is the current loudness of the output (it is using Stevens' law to calculate the change in voltage internally).
qreal | volumeDecibel
| This is the current volume of the output in decibel.
AudioOutputDevice | outputDevice
| This property holds the (hardware) destination for the output.
bool | muted
| This property tells whether the output is muted.
## Friends
class | FactoryPrivate
class | ::AudioOutputAdaptor

## Constructor & Destructor Documentation

AudioOutput | ( | Phonon::Category | category,
|  | QObject * | parent = `0`
| ) |  | `[explicit]`

Creates a new AudioOutput that defines output to a physical device.

Parameters:

  category | The category can be used by mixer applications to group volume controls of applications into categories. That makes it easier for the user to identify the programs. The category is also used for the default output device that is configured centrally. As an example: often users want to have the audio signal of a VoIP application go to their USB headset while all other sounds should go to the internal soundcard.
  parent | QObject parent

See also:
  Phonon::categoryToString
  outputDevice

AudioOutput | ( | QObject * | parent = `0` | ) | `[explicit]`

## Member Function Documentation

QString name | ( |  | ) | const

Search for all occurrences

qreal volume | ( |  | ) | const

Search for all occurrences

qreal volumeDecibel | ( |  | ) | const

Search for all occurrences

Phonon::Category category | ( |  | ) | const

Search for all occurrences

Returns the category of this output.

See also:
  AudioOutput(Phonon::Category, QObject *)

AudioOutputDevice outputDevice | ( |  | ) | const

Search for all occurrences

bool isMuted | ( |  | ) | const

Search for all occurrences

void setName | ( | const QString & | newName | ) | `[slot]`

Search for all occurrences

void setVolume | ( | qreal | newVolume | ) | `[slot]`

Search for all occurrences

void setVolumeDecibel | ( | qreal | newVolumeDecibel | ) | `[slot]`

Search for all occurrences

bool setOutputDevice | ( | const Phonon::AudioOutputDevice & | newAudioOutputDevice | ) | `[slot]`

Search for all occurrences

void setMuted | ( | bool | mute | ) | `[slot]`

Search for all occurrences

void volumeChanged | ( | qreal | newVolume | ) | `[signal]`

Search for all occurrences

This signal is emitted whenever the volume has changed.

As the volume can change without a call to setVolume (calls over dbus) this is important to keep a widget showing the current volume up to date.

void mutedChanged | ( | bool |  | ) | `[signal]`

Search for all occurrences

This signal is emitted when the muted property has changed.

As this property can change by IPC (DBus) calls a UI element showing the muted property should listen to this signal.

void outputDeviceChanged | ( | const Phonon::AudioOutputDevice & | newAudioOutputDevice | ) | `[signal]`

Search for all occurrences

This signal is emitted when the (hardware) device for the output has changed.

The change can happen either through setOutputDevice or if the global configuration for the used category has changed.

See also:
  outputDevice

## Friends And Related Function Documentation

friend class FactoryPrivate `[friend]`

Search for all occurrences

Definition at line 52 of file audiooutput.h.

friend class ::AudioOutputAdaptor `[friend]`

Search for all occurrences

Definition at line 53 of file audiooutput.h.

## Property Documentation

QString name `[read, write]`

Search for all occurrences

This is the name that appears in Mixer applications that control the volume of this output.

See also:
  category

Definition at line 62 of file audiooutput.h.

qreal volume `[read, write]`

Search for all occurrences

This is the current loudness of the output (it is using Stevens' law to calculate the change in voltage internally).

See also:
  volumeDecibel

Definition at line 69 of file audiooutput.h.

qreal volumeDecibel `[read, write]`

Search for all occurrences

This is the current volume of the output in decibel.

0 dB means no change in volume, -6dB means an attenuation of the voltage to 50% and an attenuation of the power to 25%, -inf dB means silence.

See also:
  volume

Definition at line 79 of file audiooutput.h.

AudioOutputDevice outputDevice `[read, write]`

Search for all occurrences

This property holds the (hardware) destination for the output.

The default device is determined by the category and the global configuration for that category of outputs. Normally you don't need to override this setting - letting the user change the global configuration is the right choice. You can still override the device though, if you have good reasons to do so.

See also:
  outputDeviceChanged

Definition at line 91 of file audiooutput.h.

bool muted `[read, write]`

Search for all occurrences

This property tells whether the output is muted.

Muting the output has the same effect as calling setVolume(0.0).

Definition at line 98 of file audiooutput.h.

The documentation for this class was generated from the following file:

- phonon/audiooutput.h

AudioOutput AudioOutput AudioOutput AudioOutput AudioOutput AudioOutput AudioOutput AudioOutput AudioOutput AudioOutput
AudioOutput AudioOutput AudioOutput AudioOutput AudioOutput AudioOutput AudioOutput AudioOutput AudioOutput AudioOutput